////////////////////////////////////////////////////////////////////////////////
//  CQ出版社 インターフェース 2008年7月号
//
//  初音ミク（はちゅねみく）・アニメーション
//  画像変換ツール	Copyright(c)2008 Sumio Morioka
//  morioka@fb3.so-net.ne.jp,  http://www002.upp.so-net.ne.jp/morioka/
//
//  本プログラムコードの商業利用，および改変ファイルの二次配布を禁じます．それ以外の
//  利用はとくに制限しませんが，利用によって生じた被害・不利益などに対しては，一切
//  責任を負いませんのでご了承ください．
//
//  また，本プログラムのサンプルとして同梱される初音ミク，はちゅねミク，鏡音リン・レンの
//  画像（フォント・データも含む）は，クリプトン・フューチャー・メディア株式会社
// （http://www.crypton.co.jp）の著作物です．商業利用等については同社へ問い合わせてください．
//
//
// History:
// 1. Original coding by Sumio Morioka, 2008/04/18
//
////////////////////////////////////////////////////////////////////////////////

// window status (step 4)
{
	GetDlgItem(IDC_EDIT_INFILE)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON_INFILE)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON_DEFPLT)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON_SETPLT)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON_GENSTART)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON_GENHEX)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_BMPGRID)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_FONTSTART)->EnableWindow(TRUE);
	if (m_fontstart == TRUE)
		GetDlgItem(IDC_EDIT_FONTNUM)->EnableWindow(TRUE);
	else
		GetDlgItem(IDC_EDIT_FONTNUM)->EnableWindow(FALSE);
	GetDlgItem(IDC_CHECK_FONTRANGE)->EnableWindow(TRUE);
	if (m_fontrange == TRUE) {
		GetDlgItem(IDC_EDIT_FROMY)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_FROMX)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_TOY)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_TOX)->EnableWindow(TRUE);
	}
	else {
		GetDlgItem(IDC_EDIT_FROMY)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_FROMX)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_TOY)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_TOX)->EnableWindow(FALSE);
	}
	GetDlgItem(IDC_CHECK_PLTSW0)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW1)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW2)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW3)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW4)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW5)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW6)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW7)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW8)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW9)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW10)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW11)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW12)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW13)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW14)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_PLTSW15)->EnableWindow(TRUE);
	GetDlgItem(IDC_CHECK_THRU)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R0)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G0)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B0)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R1)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G1)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B1)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R2)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G2)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B2)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R3)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G3)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B3)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R4)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G4)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B4)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R5)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G5)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B5)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R6)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G6)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B6)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R7)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G7)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B7)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R8)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G8)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B8)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R9)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G9)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B9)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R10)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G10)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B10)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R11)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G11)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B11)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R12)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G12)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B12)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R13)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G13)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B13)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R14)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G14)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B14)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_R15)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_G15)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT_B15)->EnableWindow(TRUE);
	if (m_thru == TRUE) {
		GetDlgItem(IDC_EDIT_FORCER)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_FORCEG)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_FORCEB)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_FORCEPLT)->EnableWindow(TRUE);
	}
	else {
		GetDlgItem(IDC_EDIT_FORCER)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_FORCEG)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_FORCEB)->EnableWindow(FALSE);
		GetDlgItem(IDC_EDIT_FORCEPLT)->EnableWindow(FALSE);
	}
	GetDlgItem(IDC_BUTTON_READPAL)->EnableWindow(TRUE);
}
